<ion-view view-title="Perguntas" ng-controller="listQuestionActivityCtrl">
    <ion-content>
        <div class="item-activity padding item-icon-right" type="item-text-wrap">
            <h2 class="text-visible activity-title">{{school_activity.name}}</h2>
            <p class="text-visible activity-text">{{school_activity.description}}</p>
            <p class="text-visible activity-date"> <i class="ion-ios-clock-outline"></i>Deverá ser entregue em <b>{{school_activity.date_delivery | date: "dd/MM/yy"}}</b></p>
            <span class="activity-category">{{school_activity.discipline}}</span>
        </div>

        <h2 class="question-title">Questões</h2>

        <ion-list>
            <ion-item class="item-activity item-icon-right" ng-repeat="question in school_activity.questions" type="item-text-wrap" href="#/tab/activitys/activity-answer/{{school_activity.id}}/{{question.id}}">
                
                <i ng-show="funcQuestionAnswer({{school_activity.id}}, {{question.id}})" class="icon-done ion-ios-checkmark "></i>

                <p class="text-visible activity-text">
                    <b>{{question.id}} - </b>
                    {{question.title}}
                </p>
                <i class="icon ion-chevron-right icon-accessory"></i>
          </ion-item>

        </ion-list>


        <!-- Isso só aparece depois que ele enviar as respostas. E o texto do botão enviar resposta vira refazer as questões -->
        <div class="padding text-center" ng-if="result_answer">
            <p>
                <b>Resultado:</b> Você acertou "<b>{{result_answer.correct}}</b>" 
                <span ng-if="result_answer.correct>1">questões</span> 
                <span ng-if="result_answer.correct<2">questão</span>

                de 

                {{result_answer.total}}

                <span ng-if="result_answer.total>1">respondidas</span> 
                <span ng-if="result_answer.total<2">respondida</span>
                
            </p>
        </div>


        <!-- Botão deve ficar ativo apenas quando todas as questões tiverem sido respondida -->
        <div class="box-center-buttons" ng-if="!school_activity.flag_answer && !result_answer">
            <button ng-click="funcSaveAllAnswer(school_activity.id)" class="button button-positive" ng-disabled="!sendAnswers">Enviar respostas</button>
        </div>

        <div class="box-center-buttons" ng-if="result_answer">
            <button ng-click="funcBackActivities()" class="button button-positive">
                Voltar
            </button>
        </div>

  </ion-content>
</ion-view>